# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-10-12 06:26
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('security', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Area',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('name', models.CharField(max_length=100, verbose_name='Nombre')),
                ('code', models.CharField(editable=False, max_length=20, unique=True, verbose_name='Código')),
                ('initials', models.CharField(blank=True, max_length=30, null=True, verbose_name='Siglas')),
                ('is_enable', models.BooleanField(default=True, verbose_name='Habiltada')),
            ],
            options={
                'verbose_name': 'Área',
                'verbose_name_plural': 'Áreas',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('name', models.CharField(max_length=100, verbose_name='Nombre')),
                ('correlative', models.PositiveIntegerField(null=True, verbose_name='Correlativo')),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
            ],
            options={
                'verbose_name': 'Company',
                'verbose_name_plural': 'Companies',
                'default_related_name': 'companies',
            },
        ),
        migrations.CreateModel(
            name='Position',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('code', models.CharField(editable=False, max_length=4, unique=True, verbose_name='Código')),
                ('name', models.CharField(max_length=50, verbose_name='Nombre')),
            ],
            options={
                'verbose_name': 'Cargo',
                'verbose_name_plural': 'Cargos',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='Staff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('full_name', models.CharField(max_length=250, verbose_name='Nombre Completo')),
                ('code', models.CharField(max_length=4, verbose_name='Código')),
                ('admission_date', models.DateTimeField(blank=True, null=True, verbose_name='Fecha de ingreso')),
                ('tipo_doc', models.PositiveSmallIntegerField(choices=[(1, 'DNI'), (2, 'CARNET EXTRANJERÍA')], default=1)),
                ('num_doc', models.CharField(blank=True, max_length=20, null=True, verbose_name='Número de documento')),
                ('ruc', models.CharField(blank=True, max_length=20, null=True, verbose_name='Ruc')),
                ('address', models.CharField(blank=True, max_length=200, null=True, verbose_name='Dirección')),
                ('phone', models.CharField(blank=True, max_length=7, null=True, verbose_name='Teléfono Fijo')),
                ('cell_phone', models.CharField(blank=True, max_length=9, null=True, verbose_name='Teléfono Celular')),
                ('email', models.EmailField(blank=True, max_length=50, null=True, verbose_name='Email')),
                ('roles', models.ManyToManyField(blank=True, related_name='staffs', to='security.Role', verbose_name='Roles')),
                ('user', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='staff', to=settings.AUTH_USER_MODEL, verbose_name='Usuario')),
            ],
            options={
                'verbose_name': 'Personal',
                'verbose_name_plural': 'Personal',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='StaffPosition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('is_in_charge', models.BooleanField(default=False, verbose_name='Responsable del Área')),
                ('start_date', models.DateTimeField(blank=True, null=True, verbose_name='Dia de Inicio')),
                ('end_date', models.DateTimeField(blank=True, null=True, verbose_name='Dia Final')),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='staffpositions', to='structure.Area', verbose_name='Area')),
                ('position', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='staffpositions', to='structure.Position', verbose_name='Cargo')),
                ('staff', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='staffpositions', to='structure.Staff', verbose_name='Personal')),
            ],
            options={
                'verbose_name': 'Personal Cargo',
                'verbose_name_plural': 'Personal Cargos',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='SubArea',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('name', models.CharField(max_length=100, verbose_name='Nombre')),
                ('code', models.CharField(editable=False, max_length=20, unique=True, verbose_name='Código')),
                ('initials', models.CharField(blank=True, max_length=30, null=True, verbose_name='Siglas')),
                ('is_enable', models.BooleanField(default=True, verbose_name='Habiltada')),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subareas', to='structure.Area', verbose_name='Área')),
            ],
            options={
                'verbose_name': 'SubÁrea',
                'verbose_name_plural': 'SubÁreas',
                'ordering': ['-created_at'],
            },
        ),
        migrations.AlterUniqueTogether(
            name='staffposition',
            unique_together=set([('staff', 'position', 'area')]),
        ),
    ]
